- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CIAO::Context_Impl_Base Class Reference

Non-template base class for Context_Impl. More...

`#include <Context_Impl_Base.h>`

Inheritance diagram for CIAO::Context_Impl_Base:

[legend]
Collaboration diagram for CIAO::Context_Impl_Base:

[legend]
List of all members.

## Public Member Functions
| Context_Impl_Base (void)
| Context_Impl_Base (Components::CCMHome_ptr home, Session_Container *c)
virtual | ~Context_Impl_Base (void)
virtual Components::Principal_ptr | get_caller_principal () throw (CORBA::SystemException)
virtual Components::CCMHome_ptr | get_CCM_home () throw (CORBA::SystemException)
virtual CORBA::Boolean | get_rollback_only () throw (CORBA::SystemException, Components::IllegalState)
virtual Components::Transaction::UserTransaction_ptr | get_user_transaction () throw (CORBA::SystemException, Components::IllegalState)
virtual CORBA::Boolean | is_caller_in_role (const char *role) throw (CORBA::SystemException)
virtual void | set_rollback_only () throw (CORBA::SystemException, Components::IllegalState)
CIAO::Session_Container * | _ciao_the_Container (void) const
## Protected Attributes
Components::CCMHome_var | home_
Session_Container * | container_

## Detailed Description

Non-template base class for Context_Impl.

Holds the non-template parts of its child class Context_Impl.

## Constructor & Destructor Documentation

CIAO::Context_Impl_Base::Context_Impl_Base | ( | void |  | ) |

Todo:
  This constructor should be declarated private but it seems the compilers want it, have to sort this out in detail.

CIAO::Context_Impl_Base::Context_Impl_Base | ( | Components::CCMHome_ptr | home,
|  | Session_Container * | c |
| ) |  |  |

CIAO::Context_Impl_Base::~Context_Impl_Base | ( | void |  | ) | `[virtual]`

## Member Function Documentation

CIAO::Session_Container * CIAO::Context_Impl_Base::_ciao_the_Container | ( | void |  | ) | const

Components::Principal_ptr CIAO::Context_Impl_Base::get_caller_principal | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Implements Components::CCMContext.

Components::CCMHome_ptr CIAO::Context_Impl_Base::get_CCM_home | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Implements Components::CCMContext.

CORBA::Boolean CIAO::Context_Impl_Base::get_rollback_only | ( |  | ) | throw (CORBA::SystemException, Components::IllegalState)`[virtual]`

Implements Components::CCMContext.

Components::Transaction::UserTransaction_ptr CIAO::Context_Impl_Base::get_user_transaction | ( |  | ) | throw (CORBA::SystemException, Components::IllegalState)`[virtual]`

Implements Components::CCMContext.

CORBA::Boolean CIAO::Context_Impl_Base::is_caller_in_role | ( | const char * | role | ) | throw (CORBA::SystemException)`[virtual]`

void CIAO::Context_Impl_Base::set_rollback_only | ( |  | ) | throw (CORBA::SystemException, Components::IllegalState)`[virtual]`

Implements Components::CCMContext.

## Member Data Documentation

Session_Container* CIAO::Context_Impl_Base::container_`[protected]`

Components::CCMHome_var CIAO::Context_Impl_Base::home_`[protected]`

The documentation for this class was generated from the following files:

- Context_Impl_Base.h
- Context_Impl_Base.cpp